Last modified: 2011-03-13 18:04:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17770 - Set "ignore the beginning of sortkey" globally and per category
Set "ignore the beginning of sortkey" globally and per category
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Categories (Other open bugs)
unspecified
All All
: Lowest enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 15:47 UTC by Subfader
Modified: 2011-03-13 18:04 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Subfader 2009-03-03 15:47:32 UTC
Example: You don't want articles and categories starting with "The " to be sorted under T, so e.g. "The Rolling Stones" are sorted under R then you would have to set the sortkey manually. If you have more rules you have to keep them all in mind and it's actually useless effort for most of the standard cases.
Instead of keeping all those rules in mind / adding and fixing manually set sortkeys it would be more efficent to define some "Ignore beginning of sortkey" rules. The blanks in my examples are important.

Global for all:
Enable defining wgIgnoreSortKeyBeginning arrays in LocalSettings so it aplies for pages in all categories.
Useful Examples: "The ", "A ", "Le ".

Per category:
Sometimes a global makes no sense, e.g. when you have a category "Clubs" listing subcategories of Club names. You will have a lot of Club names that start with "Club .." and you don't want to have "Club Foo" listed under C but F.
So setting an ignore rule for "Club " into the category page would be nice.
"The Super Club" would still be listed under S cos of the global.

Setting a manual sortkey would override both ignore settings.

This would save so a lot manual work :) Please don't argue that Wikipedia is manually sorted already :D
Comment 1 Subfader 2010-04-29 23:30:32 UTC
Somebody please close this as WONTFIX. Thanks.
Comment 2 Roan Kattouw 2010-04-30 19:54:39 UTC
(In reply to comment #1)
> Somebody please close this as WONTFIX. Thanks.
You can do that yourself.
Comment 3 Subfader 2010-05-03 04:40:52 UTC
ah, it hides behind "RESOLVED"

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links